# Documentation Indexing

Create documentation indexes optimized for text search or navigation.

## Overview

Each rendering model element adopts the ``TextIndexing`` protocol in order to provide its indexable text content to an indexer which can be later queried for searching specific content.

## Topics

### Search Index

- ``Indexable``
- ``TextIndexing``
- ``IndexingError``
- ``IndexingRecord``
- ``RenderRelationshipsGroup``
- ``RenderSection``

### Navigation Index

- ``NavigatorIndex``
- ``NavigatorTree``
- ``RenderIndex``
- ``NavigatorItem``

### Navigation Metadata

- ``AvailabilityIndex``
- ``RenderNodeDataExtractor``
- ``RenderNodeProvider``
- ``Serializable``
- ``AnyCodable``
- ``AnyMetadata``
- ``AutomaticCuration``
- ``InterfaceLanguage``
- ``Platform``
- ``LMDBData``

<!-- Copyright (c) 2021-2022 Apple Inc and the Swift Project authors. All Rights Reserved. -->
